#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EExternalSaleEventType {
    Unknown = 0,
    Publisher = 1,
    Showcase = 2,
    Region = 3,
    Theme = 4,
    Franchise = 5,
}

impl EExternalSaleEventType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Publisher as i32 => Some(Self::Publisher),
            x if x == Self::Showcase as i32 => Some(Self::Showcase),
            x if x == Self::Region as i32 => Some(Self::Region),
            x if x == Self::Theme as i32 => Some(Self::Theme),
            x if x == Self::Franchise as i32 => Some(Self::Franchise),
            _ => None,
        }
    }
}
